Package: groovy.swing.impl

## [Java] Class TableLayoutRow

- groovy.swing.impl.TableLayoutRow

- Represents a row in a table layout

  Authors:
    James Strachan
  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TableLayoutRow (TableLayout tableLayoutTag)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addCell(TableLayoutCell tag)` Adds a new cell to this row
    `void` | `addComponentsForRow()`
    `int` | `getRowIndex()` @return the row index of this row

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public TableLayoutRow(TableLayout tableLayoutTag)

  - ### Method Detail

    - #### public void addCell(TableLayoutCell tag)

      Adds a new cell to this row

      Parameters:
        `tag` - the td element

    - #### public void addComponentsForRow()

    - #### public int getRowIndex()

      Returns:
        the row index of this row